cham.h File Reference

Classes for the CHAM block cipher. More...

Go to the source code of this file.

## Classes

struct | CHAM64_Info
| CHAM block cipher information. More...
struct | CHAM128_Info
| CHAM block cipher information. More...
class | CHAM64
| CHAM 64-bit block cipher. More...
class | CHAM64::Base
| CHAM block cipher transformation functions. More...
class | CHAM64::Enc
| Encryption transformation. More...
class | CHAM64::Dec
| Decryption transformation. More...
class | CHAM128
| CHAM 128-bit block cipher. More...
class | CHAM128::Base
| CHAM block cipher transformation functions. More...
class | CHAM128::Enc
| Encryption transformation. More...
class | CHAM128::Dec
| Decryption transformation. More...

## Macros

#define | CRYPTOPP_CHAM128_ADVANCED_PROCESS_BLOCKS 1

## Typedefs

typedef CHAM64::Encryption | CHAM64Encryption
| CHAM64 encryption.
typedef CHAM64::Decryption | CHAM64Decryption
| CHAM64 decryption.
typedef CHAM128::Encryption | CHAM128Encryption
| CHAM128 encryption.
typedef CHAM128::Decryption | CHAM128Decryption
| CHAM128 decryption.

## Detailed Description

Classes for the CHAM block cipher.

Since
  Crypto++ 8.0

Definition in file cham.h.